> ## Documentation Index
> Fetch the complete documentation index at: https://docs.juju.bi/llms.txt
> Use this file to discover all available pages before exploring further.

# Attestations

> Track which REST API endpoints are currently supported by Jujubi.

export const SUPPORT_STATUS_CONFIG = {
  supported: {
    color: 'green',
    label: 'Supported'
  },
  partial: {
    color: 'blue',
    label: 'Partial'
  },
  unsupported: {
    color: 'yellow',
    label: 'Planned'
  },
  never: {
    color: 'red',
    label: 'Never'
  }
};

export const SupportStatus = ({status, count}) => {
  const config = SUPPORT_STATUS_CONFIG[status] ?? SUPPORT_STATUS_CONFIG.unsupported;
  const text = count == null ? config.label : `${config.label}: ${count}`;
  return <Badge color={config.color} size="sm">
      {text}
    </Badge>;
};

## Unsupported

* [`DELETE /users/{username}/attestations/{attestation_id}`](https://docs.github.com/enterprise-cloud@latest/rest/users/attestations#delete-attestations-by-id) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Delete attestations by ID
* [`GET /users/{username}/attestations/{subject_digest}`](https://docs.github.com/enterprise-cloud@latest/rest/users/attestations#list-attestations) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - List attestations
* [`POST /users/{username}/attestations/bulk-list`](https://docs.github.com/enterprise-cloud@latest/rest/users/attestations#list-attestations-by-bulk-subject-digests) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - List attestations by bulk subject digests
* [`POST /users/{username}/attestations/delete-request`](https://docs.github.com/enterprise-cloud@latest/rest/users/attestations#delete-attestations-in-bulk) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Delete attestations in bulk
* [`DELETE /users/{username}/attestations/digest/{subject_digest}`](https://docs.github.com/enterprise-cloud@latest/rest/users/attestations#delete-attestations-by-subject-digest) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Delete attestations by subject digest
